---
updatedAt: 2025-09-18T11:01:44.000Z
agentTools:
  projectIndex: https://api.net2grid.com/llms.txt
---

# Deprecations

This section contains the CE-API Deprecation Calendar along with the relevant replacement guides.

### CE-API Deprecation Calendar

<Table align={["left","left","left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        API Version
      </th>

      <th style={{ textAlign: "left" }}>
        Deprecate Resource
      </th>

      <th style={{ textAlign: "left" }}>
        Replacement Resource
      </th>

      <th style={{ textAlign: "left" }}>
        End of Support
      </th>

      <th style={{ textAlign: "left" }}>
        Discontinuation
      </th>

      <th style={{ textAlign: "left" }}>
        Guides
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        `v13.60.0`
      </td>

      <td style={{ textAlign: "left" }}>
        GET /recommendations
      </td>

      <td style={{ textAlign: "left" }}>
        * [GET /v2/recommendations/weekly](https://api.net2grid.com/reference/v2getweeklyrecommendations)\
            [- GET /v2/recommendations/monthly](https://api.net2grid.com/reference/v2getmonthlyrecommendations)Guide:\
          [Recommendations 2.0](https://api.net2grid.com/docs/recommendations-2)
      </td>

      <td style={{ textAlign: "left" }}>
        March 11 2025
      </td>

      <td style={{ textAlign: "left" }}>
        TBD
      </td>

      <td style={{ textAlign: "left" }}>

      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        `v.13.48.0`
      </td>

      <td style={{ textAlign: "left" }}>
        GET /disaggregation/\{year}/\{month}
      </td>

      <td style={{ textAlign: "left" }}>
        GET /disaggregation/year/\{year}/month/\{month}
      </td>

      <td style={{ textAlign: "left" }}>
        January 29 2025
      </td>

      <td style={{ textAlign: "left" }}>
        TBD
      </td>

      <td style={{ textAlign: "left" }}>

      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        `v.13.48.0`
      </td>

      <td style={{ textAlign: "left" }}>
        GET /insights/\{year}/\{month}
      </td>

      <td style={{ textAlign: "left" }}>
        GET /insights/year/\{year}/month/\{month}
      </td>

      <td style={{ textAlign: "left" }}>
        January 29 2025
      </td>

      <td style={{ textAlign: "left" }}>
        TBD
      </td>

      <td style={{ textAlign: "left" }}>

      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        `v11.73.0`
      </td>

      <td style={{ textAlign: "left" }}>
        `false` value of the `imported` boolean body parameter of the [POST /registration/provision](https://api.net2grid.com/reference/v2postprovisionaccount) endpoint
      </td>

      <td style={{ textAlign: "left" }}>
        `imported` parameter's value will default to `true`
      </td>

      <td style={{ textAlign: "left" }}>
        November 29 2023
      </td>

      <td style={{ textAlign: "left" }}>
        TBD
      </td>

      <td style={{ textAlign: "left" }}>
        [Self-provisioning flow](https://api.net2grid.com/docs/self-provisioning-flow)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        `v11.64.0`
      </td>

      <td style={{ textAlign: "left" }}>
        `data_type` field of the [GET /customer/service-type](https://api.net2grid.com/reference/v2getcustomerservicetype) endpoint
      </td>

      <td style={{ textAlign: "left" }}>
        `data_granularity` and `intraday` fields (same endpoint)
      </td>

      <td style={{ textAlign: "left" }}>
        November 13 2023
      </td>

      <td style={{ textAlign: "left" }}>
        TBD
      </td>

      <td style={{ textAlign: "left" }}>
        [Service type changes](https://api.net2grid.com/docs/service-type-changes)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        `v11.64.0`
      </td>

      <td style={{ textAlign: "left" }}>
        [ POST /profile](https://api.net2grid.com/reference/v2posttariffandbudgetprofile) & [GET /profile](https://api.net2grid.com/reference/v2gettariffandbudgetprofile)
      </td>

      <td style={{ textAlign: "left" }}>
        * [GET /profile/properties](https://api.net2grid.com/reference/v2getprofileproperties)
        * [GET /profile/attributes](https://api.net2grid.com/reference/v2getinstallationprofile)
        * [POST /profile/attributes](https://api.net2grid.com/reference/v2postinstallationprofile)
        * [DELETE /profile/attributes](https://api.net2grid.com/reference/v2deleteinstallationprofile)
        * [POST /billing/tariff-definition](https://api.net2grid.com/reference/v2posttariffdefinition)
        * [GET /billing/tariff-definition](https://api.net2grid.com/reference/v2gettariffdefinition)
        * [POST /billing/budget-definition](https://api.net2grid.com/reference/v2postbudgetdefinition)
        * [GET /billing/budget-definition](https://api.net2grid.com/reference/v2getbudgetdefinition)
      </td>

      <td style={{ textAlign: "left" }}>
        November 13 2023
      </td>

      <td style={{ textAlign: "left" }}>
        TBD
      </td>

      <td style={{ textAlign: "left" }}>
        [Installation profile management](https://api.net2grid.com/docs/installation-profile-management)
      </td>
    </tr>
  </tbody>
</Table>